import java.util.ArrayList;
import java.util.List;

public class Person
{
    final private int id; // final for the ID because it will remain the same for the whole duration of studying or being employed
    private Status status;
    private Gender gender;
    private String firstName;
    private String lastName;
    private String placeOfResidence;
    private String birthPlace;
    private String officialEmail;
    private String privateEmail;
    private List<Course> personalCourses = new ArrayList<>();
    private boolean isSignedUp;

    public Person(int id, String firstName, String lastName, String placeOfResidence, String birthPlace,
                  String officialEmail, String privateEmail, boolean isSignedUp, Gender gender, Status status)
    {
        this.id = id;
        this.firstName = firstName;
        this.lastName = lastName;
        this.placeOfResidence = placeOfResidence;
        this.birthPlace = birthPlace;
        this.officialEmail = officialEmail;
        this.privateEmail = privateEmail;
        this.isSignedUp = isSignedUp;
        this.gender = gender;
        this.status = status;
    }

    public boolean SignUpForCourse(Course course)
    {
        personalCourses.add(course);

        // return status for registration process: was successful or has failed
        return isSignedUp;
    }
}
